SUSE: 2022:1433-1 important: golang-github-prometheus-prometheus | ...

   SUSE Security Update: Security update for golang-github-prometheus-prometheus
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:1433-1
Rating:             important
References:         #1196338 #1197042 SLE-24376 
Cross-References:   CVE-2022-21698
CVSS scores:
                    CVE-2022-21698 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2022-21698 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:
                    SUSE Manager Tools 12
______________________________________________________________________________

   An update that solves one vulnerability, contains one
   feature and has one errata is now available.

Description:

   This update for golang-github-prometheus-prometheus fixes the following
   issues:

   Security fixes for golang-github-prometheus-prometheus:

   - CVE-2022-21698: Denial of Service through unbounded cardinality, and
     potential memory exhaustion, when handling requests with non-standard
     HTTP methods (bsc#1196338).

   Other non security changes for golang-github-prometheus-prometheus:

   - Build `firewalld-prometheus-config` only for SUSE Linux Enterprise 15,
     15-SP1 and 15-SP2, and require `firewalld`.
   - Only recommends `firewalld-prometheus-config` as prometheus does not
     require it to run.
   - Create `firewalld-prometheus-config` subpackage (bsc#1197042,
     jsc#SLE-24376)


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Manager Tools 12:

      zypper in -t patch SUSE-SLE-Manager-Tools-12-2022-1433=1



Package List:

   - SUSE Manager Tools 12 (aarch64 ppc64le s390x x86_64):

      golang-github-prometheus-prometheus-2.32.1-1.38.1


References:

   https://www.suse.com/security/cve/CVE-2022-21698.html
   https://bugzilla.suse.com/1196338
   https://bugzilla.suse.com/1197042

SUSE: 2022:1433-1 important: golang-github-prometheus-prometheus

April 27, 2022
An update that solves one vulnerability, contains one feature and has one errata is now available

Summary

This update for golang-github-prometheus-prometheus fixes the following issues: Security fixes for golang-github-prometheus-prometheus: - CVE-2022-21698: Denial of Service through unbounded cardinality, and potential memory exhaustion, when handling requests with non-standard HTTP methods (bsc#1196338). Other non security changes for golang-github-prometheus-prometheus: - Build `firewalld-prometheus-config` only for SUSE Linux Enterprise 15, 15-SP1 and 15-SP2, and require `firewalld`. - Only recommends `firewalld-prometheus-config` as prometheus does not require it to run. - Create `firewalld-prometheus-config` subpackage (bsc#1197042, jsc#SLE-24376) Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Manager Tools 12: zypper in -t patch SUSE-SLE-Manager-Tools-12-2022-1433=1 Package List: - SUSE Manager Tools 12 (aarch64 ppc64le s390x x86_64): golang-github-prometheus-prometheus-2.32.1-1.38.1

References

#1196338 #1197042 SLE-24376

Cross- CVE-2022-21698

CVSS scores:

CVE-2022-21698 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2022-21698 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:

SUSE Manager Tools 12

https://www.suse.com/security/cve/CVE-2022-21698.html

https://bugzilla.suse.com/1196338

https://bugzilla.suse.com/1197042

Severity
Announcement ID: SUSE-SU-2022:1433-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.